Bug 1840939 - failed: couldn't find queue operatorname for event: {update }
Summary: failed: couldn't find queue operatorname for event: {update }
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.2.z
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.3.z
Assignee: Nick Hale
QA Contact: kuiwang
URL:
Whiteboard:
Depends On: 1836905
Blocks: 1841859
TreeView+ depends on / blocked
 
Reported: 2020-05-28 00:09 UTC by OpenShift BugZilla Robot
Modified: 2020-06-17 20:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Garbage collection resource event queue wasn't configured correctly. Consequence: Cluster-scoped resources generated for operators managed by OLM are never cleaned up when the operator is uninstalled. Fix: Reconfigure garbage collection queues to be hit for owner labels referencing any namespace. Result: Cluster-scoped resources generated for operators managed by OLM are cleaned up when the operator is uninstalled.
Clone Of:
Environment:
Last Closed: 2020-06-17 20:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1553 0 None closed Bug 1840939: fix(queues): use a single gc queue 2020-08-04 00:18:29 UTC
Red Hat Product Errata RHBA-2020:2436 0 None None None 2020-06-17 20:28:49 UTC

Comment 6 kuiwang 2020-06-01 05:25:42 UTC
verify it on 4.3 cluster. LGTM

--
kuiwang@Kuis-MacBook-Pro 1840939 % oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2020-05-31-230702   True        False         78m     Cluster version is 4.3.0-0.nightly-2020-05-31-230702
kuiwang@Kuis-MacBook-Pro 1840939 % oc get pod -n openshift-operator-lifecycle-manager
NAME                                READY   STATUS    RESTARTS   AGE
catalog-operator-696694d898-79z4z   1/1     Running   0          86m
olm-operator-9f7cd765f-7hj52        1/1     Running   0          86m
packageserver-7b88f44c-f5wwx        1/1     Running   0          85m
packageserver-7b88f44c-s62ng        1/1     Running   0          86m
kuiwang@Kuis-MacBook-Pro 1840939 % oc exec olm-operator-9f7cd765f-7hj52 -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.13.0
git commit: 65cc3395a49eaaa016b53f9f1e68ca928f2f8bb3
kuiwang@Kuis-MacBook-Pro 1840939 % cat sub-akka-cluster.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: akka-cluster-operator-test
  namespace: openshift-operators
spec:
  channel: alpha
  installPlanApproval: Automatic
  name: akka-cluster-operator
  source: community-operators
  sourceNamespace: openshift-marketplace
  startingCSV: akka-cluster-operator.v0.2.0 
kuiwang@Kuis-MacBook-Pro 1840939 % oc apply -f sub-akka-cluster.yaml 
subscription.operators.coreos.com/akka-cluster-operator-test created
kuiwang@Kuis-MacBook-Pro 1840939 % oc get sub -n openshift-operators
NAME                         PACKAGE                 SOURCE                CHANNEL
akka-cluster-operator-test   akka-cluster-operator   community-operators   alpha
kuiwang@Kuis-MacBook-Pro 1840939 % oc get csv -n openshift-operators
NAME                           DISPLAY                 VERSION   REPLACES                       PHASE
akka-cluster-operator.v0.2.0   Akka Cluster Operator   0.2.0     akka-cluster-operator.v0.0.1   Succeeded
kuiwang@Kuis-MacBook-Pro 1840939 % oc get clusterrolebinding |grep akka-cluster-operator
akka-cluster-operator.v0.2.0-9kwpf-akka-cluster-operator-7vxl9                    44s
kuiwang@Kuis-MacBook-Pro 1840939 % oc get clusterrolebinding  akka-cluster-operator.v0.2.0-9kwpf-akka-cluster-operator-7vxl9 -o yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  creationTimestamp: "2020-06-01T05:12:40Z"
  labels:
    olm.owner: akka-cluster-operator.v0.2.0
    olm.owner.kind: ClusterServiceVersion
    olm.owner.namespace: openshift-operators
  name: akka-cluster-operator.v0.2.0-9kwpf-akka-cluster-operator-7vxl9
  resourceVersion: "42433"
  selfLink: /apis/rbac.authorization.k8s.io/v1/clusterrolebindings/akka-cluster-operator.v0.2.0-9kwpf-akka-cluster-operator-7vxl9
  uid: 1f6de200-a484-483b-a492-be3fcb3b0aa2
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: akka-cluster-operator.v0.2.0-9kwpf
subjects:
- kind: ServiceAccount
  name: akka-cluster-operator
  namespace: openshift-operators
kuiwang@Kuis-MacBook-Pro 1840939 % oc get ClusterRole akka-cluster-operator.v0.2.0-9kwpf -o yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  creationTimestamp: "2020-06-01T05:12:40Z"
  labels:
    olm.owner: akka-cluster-operator.v0.2.0
    olm.owner.kind: ClusterServiceVersion
    olm.owner.namespace: openshift-operators
  name: akka-cluster-operator.v0.2.0-9kwpf
  resourceVersion: "42431"
  selfLink: /apis/rbac.authorization.k8s.io/v1/clusterroles/akka-cluster-operator.v0.2.0-9kwpf
  uid: d8daad1c-d019-4e58-b8fc-c7797bd8e8c6
rules:
- apiGroups:
  - ""
  resources:
  - pods
  - services
  - endpoints
  - persistentvolumeclaims
  - events
  - configmaps
  - secrets
  - serviceaccounts
  verbs:
  - '*'
- apiGroups:
  - rbac.authorization.k8s.io
  resources:
  - roles
  - rolebindings
  verbs:
  - '*'
- apiGroups:
  - ""
  resources:
  - namespaces
  verbs:
  - get
- apiGroups:
  - apps
  resources:
  - deployments
  - daemonsets
  - replicasets
  - statefulsets
  verbs:
  - '*'
- apiGroups:
  - monitoring.coreos.com
  resources:
  - servicemonitors
  verbs:
  - get
  - create
- apiGroups:
  - apps
  resourceNames:
  - akka-cluster-operator
  resources:
  - deployments/finalizers
  verbs:
  - update
- apiGroups:
  - app.lightbend.com
  resources:
  - '*'
  verbs:
  - '*'
kuiwang@Kuis-MacBook-Pro 1840939 % 
kuiwang@Kuis-MacBook-Pro 1840939 % oc label clusterrole akka-cluster-operator.v0.2.0-9kwpf olm.owner-
clusterrole.rbac.authorization.k8s.io/akka-cluster-operator.v0.2.0-9kwpf labeled
kuiwang@Kuis-MacBook-Pro 1840939 % oc label ClusterRoleBinding  akka-cluster-operator.v0.2.0-9kwpf-akka-cluster-operator-7vxl9 olm.owner-
clusterrolebinding.rbac.authorization.k8s.io/akka-cluster-operator.v0.2.0-9kwpf-akka-cluster-operator-7vxl9 labeled
kuiwang@Kuis-MacBook-Pro 1840939 % oc get clusterrolebinding |grep akka-cluster-operator                                            
akka-cluster-operator.v0.2.0-bllhf-akka-cluster-operator-8m5bj                    20s
kuiwang@Kuis-MacBook-Pro 1840939 % oc get clusterrole |grep akka-cluster-operator 
akka-cluster-operator.v0.2.0-bllhf                                     3m58s
kuiwang@Kuis-MacBook-Pro 1840939 % 
kuiwang@Kuis-MacBook-Pro 1840939 % oc logs olm-operator-9f7cd765f-7hj52 -n openshift-operator-lifecycle-manager
...
time="2020-06-01T04:11:50Z" level=info msg="checking packageserver"
time="2020-06-01T04:11:50Z" level=info msg="csv in operatorgroup" csv=packageserver id=u0EP/ namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=u0EP/ namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=Yhen+ namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 04:11:50.816218       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T04:11:50Z" level=info msg="checking packageserver"
time="2020-06-01T04:11:50Z" level=info msg="Labels updated!" labels="olm.api.4bca9f23e412d79d=provided,olm.clusteroperator.name=operator-lifecycle-manager-packageserver,olm.version=0.13.0"
time="2020-06-01T04:11:50Z" level=info msg="operatorgroup incorrect" csv=packageserver error="<nil>" id=Hs8lm namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=61dRi namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="not part of any operatorgroup, no annotations" csv=packageserver id=61dRi namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 04:11:50.844466       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T04:11:50Z" level=info msg="checking packageserver"
time="2020-06-01T04:11:50Z" level=info msg="csv in operatorgroup" csv=packageserver id=gm2f/ namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=gm2f/ namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="checking packageserver"
time="2020-06-01T04:11:50Z" level=info msg="checking packageserver"
time="2020-06-01T04:11:50Z" level=info msg="csv in operatorgroup" csv=packageserver id=IhoyH namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=IhoyH namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:11:50Z" level=info msg="checking packageserver"
time="2020-06-01T04:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:13:33Z" level=info msg="csv in operatorgroup" csv=packageserver id=sww2L namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:13:33Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=sww2L namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:13:33Z" level=info msg="csv in operatorgroup" csv=packageserver id=G5yM0 namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:13:33Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=G5yM0 namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:03Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:03Z" level=info msg="csv in operatorgroup" csv=packageserver id=0iIeB namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=0iIeB namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=GP17V namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 04:15:03.454392       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T04:15:03Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:03Z" level=info msg="Labels updated!" labels="olm.api.4bca9f23e412d79d=provided,olm.clusteroperator.name=operator-lifecycle-manager-packageserver,olm.version=0.13.0"
time="2020-06-01T04:15:03Z" level=info msg="operatorgroup incorrect" csv=packageserver error="<nil>" id=/+qhG namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=qoMW1 namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="not part of any operatorgroup, no annotations" csv=packageserver id=qoMW1 namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 04:15:03.483777       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T04:15:03Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:03Z" level=info msg="csv in operatorgroup" csv=packageserver id=DnykF namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=DnykF namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:03Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:03Z" level=info msg="csv in operatorgroup" csv=packageserver id=nimwH namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=nimwH namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:03Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=D7Cpb namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=D7Cpb namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=UnHle namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=UnHle namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.user.openshift.io id=OA0f0
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.ingress.operator.openshift.io id=N1s+V
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.network.operator.openshift.io id=oxpLg
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.tuned.openshift.io id=2thzH
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.admissionregistration.k8s.io id=0c7V/
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.storage.k8s.io id=4fvo/
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1alpha1.metal3.io id=+Qonf
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.config.openshift.io id=VjH5n
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.machineconfiguration.openshift.io id=bEw8Z
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta2.apps id=hVT2G
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.batch id=7ec67
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.imageregistry.operator.openshift.io id=fpSx0
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1. id=Kaqt+
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.route.openshift.io id=NUhVP
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.build.openshift.io id=MEED4
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.network.openshift.io id=t3cB8
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v2beta1.autoscaling id=2U0qN
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.apiextensions.k8s.io id=8rQRC
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.events.k8s.io id=pRnCy
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.rbac.authorization.k8s.io id=UNsCe
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.console.openshift.io id=8cCrl
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.packages.operators.coreos.com id=BYmkE
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.authentication.k8s.io id=9SGTi
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.authorization.k8s.io id=DHvwm
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.apps id=hfU1t
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.scheduling.k8s.io id=kuWz3
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.networking.k8s.io id=O/gc7
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.authorization.k8s.io id=yEIP5
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.autoscaling.openshift.io id=RJ5Qi
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.apiextensions.k8s.io id=5Mu36
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1alpha1.whereabouts.cni.cncf.io id=NZdWa
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.project.openshift.io id=E+nac
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.operators.coreos.com id=O9Uqc
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.storage.k8s.io id=So8Dd
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1alpha1.operator.openshift.io id=p0QM6
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.image.openshift.io id=0Q4lG
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1alpha1.operators.coreos.com id=z8nMw
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.quota.openshift.io id=zEcMZ
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.security.openshift.io id=n2oy8
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.monitoring.coreos.com id=9w6ow
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.authentication.k8s.io id=Gmd3m
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v2beta2.autoscaling id=LSs3l
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.policy id=4OkIq
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.coordination.k8s.io id=JueMn
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.oauth.openshift.io id=8XrO+
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.apps.openshift.io id=X+twp
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.operator.openshift.io id=XgKXx
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.autoscaling.openshift.io id=CRz5j
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.certificates.k8s.io id=MqI6X
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.authorization.openshift.io id=qnJZ8
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v2.operators.coreos.com id=S5Lge
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.extensions id=tvldK
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.scheduling.k8s.io id=ql1io
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.k8s.cni.cncf.io id=l8Eu5
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.node.k8s.io id=heV8x
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.metrics.k8s.io id=KGON7
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.coordination.k8s.io id=wecMO
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.autoscaling id=q4Kp+
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.machine.openshift.io id=5qpw9
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.samples.operator.openshift.io id=/RneB
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.rbac.authorization.k8s.io id=7k46r
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.cloudcredential.openshift.io id=h9CtA
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1alpha2.operators.coreos.com id=pGOlV
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.apps id=bx66w
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.template.openshift.io id=MPTDq
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.batch id=qF15u
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1beta1.admissionregistration.k8s.io id=DaBjS
time="2020-06-01T04:15:19Z" level=info msg="syncing APIService" apiService=v1.networking.k8s.io id=8AiID
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=+dCC9 namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=+dCC9 namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=spyJ2 namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=spyJ2 namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=FHQdh namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=FHQdh namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:20Z" level=info msg="checking packageserver"
time="2020-06-01T04:15:20Z" level=info msg="csv in operatorgroup" csv=packageserver id=+UdRO namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:15:20Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=+UdRO namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:15:20Z" level=info msg="checking packageserver"
time="2020-06-01T04:16:00Z" level=info msg="Adding related objects for operator-lifecycle-manager"
time="2020-06-01T04:18:15Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:15Z" level=info msg="csv in operatorgroup" csv=packageserver id=pk5ry namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=pk5ry namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=QlYT6 namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 04:18:15.889314       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T04:18:15Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:15Z" level=info msg="Labels updated!" labels="olm.api.4bca9f23e412d79d=provided,olm.clusteroperator.name=operator-lifecycle-manager-packageserver,olm.version=0.13.0"
time="2020-06-01T04:18:15Z" level=info msg="operatorgroup incorrect" csv=packageserver error="<nil>" id=kQNIN namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=ouK7e namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="not part of any operatorgroup, no annotations" csv=packageserver id=ouK7e namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 04:18:15.918668       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T04:18:15Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:15Z" level=info msg="csv in operatorgroup" csv=packageserver id=zbELX namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=zbELX namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:15Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:15Z" level=info msg="csv in operatorgroup" csv=packageserver id=QqmbA namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=QqmbA namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:18:15Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:33Z" level=info msg="csv in operatorgroup" csv=packageserver id=JrtOx namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:18:33Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=JrtOx namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:18:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:18:33Z" level=info msg="csv in operatorgroup" csv=packageserver id=T94vB namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:18:33Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=T94vB namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:18:33Z" level=info msg="checking packageserver"
time="2020-06-01T04:20:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:20:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=voYmq namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:20:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=voYmq namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:20:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:20:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:20:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=CqDSF namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:20:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=CqDSF namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T04:20:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:20:19Z" level=info msg="checking packageserver"
time="2020-06-01T04:20:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=kHaGw namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T04:20:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=kHaGw namespace=openshift-operator-lifecycle-manager phase=Succeeded

...
time="2020-06-01T05:12:39Z" level=info msg="Labels updated!" labels="olm.api.c9e5a84583656dd8=provided"
time="2020-06-01T05:12:39Z" level=info msg="operatorgroup incorrect" csv=akka-cluster-operator.v0.2.0 error="<nil>" id=YFPRe namespace=openshift-operators phase=
time="2020-06-01T05:12:39Z" level=info msg="not in operatorgroup namespace" csv=akka-cluster-operator.v0.2.0 id=En2aH namespace=openshift-operators phase=
time="2020-06-01T05:12:39Z" level=warning msg="error adding operatorgroup annotations" csv=akka-cluster-operator.v0.2.0 error="Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"akka-cluster-operator.v0.2.0\": the object has been modified; please apply your changes to the latest version and try again" namespace=openshift-operators operatorGroup=global-operators
time="2020-06-01T05:12:39Z" level=warning msg="failed to annotate CSVs in operatorgroup after group change" error="Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"akka-cluster-operator.v0.2.0\": the object has been modified; please apply your changes to the latest version and try again" namespace=openshift-operators operatorGroup=global-operators
E0601 05:12:39.251726       1 queueinformer_operator.go:290] sync {"update" "openshift-operators/global-operators"} failed: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "akka-cluster-operator.v0.2.0": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T05:12:39Z" level=warning msg="error adding operatorgroup annotations" csv=akka-cluster-operator.v0.2.0 error="Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"akka-cluster-operator.v0.2.0\": the object has been modified; please apply your changes to the latest version and try again" id=+qQpO namespace=openshift-operators opgroup=global-operators phase=
time="2020-06-01T05:12:39Z" level=info msg="operatorgroup incorrect" csv=akka-cluster-operator.v0.2.0 error="Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"akka-cluster-operator.v0.2.0\": the object has been modified; please apply your changes to the latest version and try again" id=+qQpO namespace=openshift-operators phase=
time="2020-06-01T05:12:39Z" level=info msg="not in operatorgroup namespace" csv=akka-cluster-operator.v0.2.0 id=CB7Yz namespace=openshift-operators phase=
E0601 05:12:39.252832       1 queueinformer_operator.go:290] sync {"update" "openshift-operators/akka-cluster-operator.v0.2.0"} failed: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "akka-cluster-operator.v0.2.0": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T05:12:39Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=XBFRI namespace=openshift-operators opgroup=global-operators phase=
time="2020-06-01T05:12:39Z" level=info msg="couldn't ensure RBAC in target namespaces" csv=akka-cluster-operator.v0.2.0 error="no owned roles found" id=nlslu namespace=openshift-operators phase=
E0601 05:12:39.270038       1 queueinformer_operator.go:290] sync {"update" "openshift-operators/akka-cluster-operator.v0.2.0"} failed: no owned roles found
time="2020-06-01T05:12:39Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=Na9Rx namespace=openshift-operators opgroup=global-operators phase=
time="2020-06-01T05:12:39Z" level=info msg="scheduling ClusterServiceVersion for requirement verification" csv=akka-cluster-operator.v0.2.0 id=Na9Rx namespace=openshift-operators phase=
time="2020-06-01T05:12:39Z" level=info msg="couldn't ensure RBAC in target namespaces" csv=akka-cluster-operator.v0.2.0 error="no owned roles found" id=UsKD4 namespace=openshift-operators phase=
E0601 05:12:39.326774       1 queueinformer_operator.go:290] sync {"update" "openshift-operators/akka-cluster-operator.v0.2.0"} failed: no owned roles found
time="2020-06-01T05:12:39Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=Vml7/ namespace=openshift-operators opgroup=global-operators phase=Pending
time="2020-06-01T05:12:39Z" level=info msg="requirements were not met" csv=akka-cluster-operator.v0.2.0 id=Vml7/ namespace=openshift-operators phase=Pending
time="2020-06-01T05:12:39Z" level=info msg="couldn't ensure RBAC in target namespaces" csv=akka-cluster-operator.v0.2.0 error="no owned roles found" id=LI45W namespace=openshift-operators phase=Pending
E0601 05:12:39.377612       1 queueinformer_operator.go:290] sync {"update" "openshift-operators/akka-cluster-operator.v0.2.0"} failed: no owned roles found
time="2020-06-01T05:12:39Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=Df/3G namespace=openshift-operators opgroup=global-operators phase=Pending
time="2020-06-01T05:12:40Z" level=info msg="requirements were not met" csv=akka-cluster-operator.v0.2.0 id=Df/3G namespace=openshift-operators phase=Pending
time="2020-06-01T05:12:40Z" level=info msg="couldn't ensure RBAC in target namespaces" csv=akka-cluster-operator.v0.2.0 error="no owned rolebindings found" id=Y7UYM namespace=openshift-operators phase=Pending
E0601 05:12:40.442202       1 queueinformer_operator.go:290] sync {"update" "openshift-operators/akka-cluster-operator.v0.2.0"} failed: no owned rolebindings found
time="2020-06-01T05:12:40Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=SpRxm namespace=openshift-operators opgroup=global-operators phase=Pending
time="2020-06-01T05:12:40Z" level=info msg="requirements were not met" csv=akka-cluster-operator.v0.2.0 id=SpRxm namespace=openshift-operators phase=Pending
E0601 05:12:41.233154       1 queueinformer_operator.go:290] sync {"update" "openshift-operators/akka-cluster-operator.v0.2.0"} failed: requirements were not met
time="2020-06-01T05:12:41Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=UQDJj namespace=openshift-operators opgroup=global-operators phase=Pending
time="2020-06-01T05:12:42Z" level=info msg="scheduling ClusterServiceVersion for install" csv=akka-cluster-operator.v0.2.0 id=UQDJj namespace=openshift-operators phase=Pending
time="2020-06-01T05:12:42Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=8wcrf namespace=openshift-operators opgroup=global-operators phase=InstallReady
time="2020-06-01T05:12:43Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=o03jc namespace=openshift-operators opgroup=global-operators phase=Installing
time="2020-06-01T05:12:43Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=o03jc namespace=openshift-operators phase=Installing
time="2020-06-01T05:12:44Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=rzOwt namespace=openshift-operators opgroup=global-operators phase=Installing
time="2020-06-01T05:12:44Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=kic/y namespace=openshift-operators opgroup=global-operators phase=Installing
time="2020-06-01T05:12:45Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=qzC8C namespace=openshift-operators opgroup=global-operators phase=Installing
time="2020-06-01T05:12:46Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=gO/Gl namespace=openshift-operators opgroup=global-operators phase=Installing
time="2020-06-01T05:12:46Z" level=info msg="install strategy successful" csv=akka-cluster-operator.v0.2.0 id=gO/Gl namespace=openshift-operators phase=Installing strategy=deployment
time="2020-06-01T05:12:47Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=Gb/OW namespace=openshift-operators opgroup=global-operators phase=Succeeded
time="2020-06-01T05:12:47Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=Gb/OW namespace=openshift-operators phase=Succeeded
time="2020-06-01T05:12:47Z" level=info msg="checking akka-cluster-operator.v0.2.0"
time="2020-06-01T05:12:50Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=WY6R8 namespace=openshift-operators opgroup=global-operators phase=Succeeded
time="2020-06-01T05:12:50Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=WY6R8 namespace=openshift-operators phase=Succeeded
time="2020-06-01T05:12:50Z" level=info msg="checking packageserver"
time="2020-06-01T05:12:50Z" level=info msg="csv in operatorgroup" csv=packageserver id=wShPI namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T05:12:50Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=wShPI namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:12:50Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=AcT8S namespace=openshift-operators opgroup=global-operators phase=Succeeded
time="2020-06-01T05:12:50Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=AcT8S namespace=openshift-operators phase=Succeeded
time="2020-06-01T05:12:50Z" level=info msg="checking akka-cluster-operator.v0.2.0"
time="2020-06-01T05:12:50Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=7qZeg namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 05:12:50.815915       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T05:12:50Z" level=info msg="checking packageserver"
time="2020-06-01T05:12:50Z" level=info msg="Labels updated!" labels="olm.api.4bca9f23e412d79d=provided,olm.clusteroperator.name=operator-lifecycle-manager-packageserver,olm.version=0.13.0"
time="2020-06-01T05:12:52Z" level=info msg="operatorgroup incorrect" csv=packageserver error="<nil>" id=WooFF namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:12:52Z" level=info msg="error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" csv=packageserver id=P7s+2 namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:12:52Z" level=info msg="not part of any operatorgroup, no annotations" csv=packageserver id=P7s+2 namespace=openshift-operator-lifecycle-manager phase=Succeeded
E0601 05:12:52.416017       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/packageserver"} failed: error updating ClusterServiceVersion status: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T05:12:52Z" level=info msg="checking packageserver"
time="2020-06-01T05:12:52Z" level=info msg="csv in operatorgroup" csv=packageserver id=1/Juq namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T05:12:52Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=1/Juq namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:12:52Z" level=info msg="checking packageserver"
time="2020-06-01T05:12:52Z" level=warning msg="error adding operatorgroup annotations" csv=packageserver error="Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" namespace=openshift-operator-lifecycle-manager operatorGroup=olm-operators
time="2020-06-01T05:12:52Z" level=warning msg="failed to annotate CSVs in operatorgroup after group change" error="Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com \"packageserver\": the object has been modified; please apply your changes to the latest version and try again" namespace=openshift-operator-lifecycle-manager operatorGroup=olm-operators
E0601 05:12:52.616082       1 queueinformer_operator.go:290] sync {"update" "openshift-operator-lifecycle-manager/olm-operators"} failed: Operation cannot be fulfilled on clusterserviceversions.operators.coreos.com "packageserver": the object has been modified; please apply your changes to the latest version and try again
time="2020-06-01T05:12:53Z" level=info msg="checking packageserver"
time="2020-06-01T05:12:53Z" level=info msg="csv in operatorgroup" csv=packageserver id=sYuie namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T05:12:53Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=sYuie namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:12:53Z" level=info msg="checking packageserver"
time="2020-06-01T05:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T05:13:33Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=gprCr namespace=openshift-operators opgroup=global-operators phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=gprCr namespace=openshift-operators phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="checking akka-cluster-operator.v0.2.0"
time="2020-06-01T05:13:33Z" level=info msg="csv in operatorgroup" csv=packageserver id=7fjzR namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=7fjzR namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T05:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T05:13:33Z" level=info msg="csv in operatorgroup" csv=packageserver id=m7ywc namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=m7ywc namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=DynFF namespace=openshift-operators opgroup=global-operators phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=DynFF namespace=openshift-operators phase=Succeeded
time="2020-06-01T05:13:33Z" level=info msg="checking akka-cluster-operator.v0.2.0"
time="2020-06-01T05:13:33Z" level=info msg="checking packageserver"
time="2020-06-01T05:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T05:15:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=VF5Kz namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T05:15:19Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=iQJAi namespace=openshift-operators opgroup=global-operators phase=Succeeded
time="2020-06-01T05:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=iQJAi namespace=openshift-operators phase=Succeeded
time="2020-06-01T05:15:19Z" level=info msg="checking akka-cluster-operator.v0.2.0"
time="2020-06-01T05:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=VF5Kz namespace=openshift-operator-lifecycle-manager phase=Succeeded
time="2020-06-01T05:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T05:15:19Z" level=info msg="csv in operatorgroup" csv=akka-cluster-operator.v0.2.0 id=nl1Ng namespace=openshift-operators opgroup=global-operators phase=Succeeded
time="2020-06-01T05:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=akka-cluster-operator.v0.2.0 id=nl1Ng namespace=openshift-operators phase=Succeeded
time="2020-06-01T05:15:19Z" level=info msg="checking akka-cluster-operator.v0.2.0"
time="2020-06-01T05:15:19Z" level=info msg="checking packageserver"
time="2020-06-01T05:15:19Z" level=info msg="csv in operatorgroup" csv=packageserver id=Mzsrm namespace=openshift-operator-lifecycle-manager opgroup=olm-operators phase=Succeeded
time="2020-06-01T05:15:19Z" level=info msg="updated annotations to match current operatorgroup" csv=packageserver id=Mzsrm namespace=openshift-operator-lifecycle-manager phase=Succeeded

kuiwang@Kuis-MacBook-Pro 1840939 % oc logs olm-operator-9f7cd765f-7hj52 -n openshift-operator-lifecycle-manager|grep "couldn't find queue"
kuiwang@Kuis-MacBook-Pro 1840939 %

Comment 10 errata-xmlrpc 2020-06-17 20:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2436


Note You need to log in before you can comment on or make changes to this bug.